﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 카테고리
    /// </summary>
    public class Category
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 카테고리명 - Name

        /// <summary>
        /// 카테고리명
        /// </summary>
        public string Name { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Category> GetList()
        {
            List<Category> list = new List<Category>
            {
                new Category(){ ID = 0, Name = "Beverages" },
                new Category(){ ID = 1, Name = "Grains"    },
                new Category(){ ID = 2, Name = "Seafood"   }
            };

            return list;
        }

        #endregion
    }
}