﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 제품
    /// </summary>
    public class Product
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 카테고리 - Category

        /// <summary>
        /// 카테고리
        /// </summary>
        public Category Category { get; set; }

        #endregion
        #region 제품명 - ProductName

        /// <summary>
        /// 제품명
        /// </summary>
        public string ProductName { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Product> GetList()
        {
            List<Product> list = new List<Product>
            {
                new Product(){ ProductName="Chang"           , Category = new Category() { ID = 0 } },
                new Product(){ ProductName="Ipoh Coffee"     , Category = new Category() { ID = 0 } },
                new Product(){ ProductName="Ravioli Angelo"  , Category = new Category() { ID = 1 } },
                new Product(){ ProductName="Filo Mix"        , Category = new Category() { ID = 1 } },
                new Product(){ ProductName="Tunnbrod"        , Category = new Category() { ID = 1 } },
                new Product(){ ProductName="Konbu"           , Category = new Category() { ID = 2 } },
                new Product(){ ProductName="Boston Crab Meat", Category = new Category() { ID = 2 } }
            };

            return list;
        }

        #endregion
    }
}